---SETTINGS AT THE BOTTOM---

dofile_once("mods/inventory_sorter/utils.lua")

----ADVANCED----

---Should return wether itemA needs to be swapped with itemB
---@param itemA any The item entity (not the component)
---@param itemB any The item entity (not the component)
---@param items  number[] All of the inventory items
---@return boolean
function CompareCustom(itemA, itemB, items)
    return CompareAlphabetical(itemA, itemB)
end

ANCHORS = {
    left = 0,
    right = 180
}

--Choose one of the SORT options

--Only groups spells by type, does not change the order they are in
SORT_TYPE = CompareType

--Groups spells by type, then sorts them by alphabetical order
SORT_TYPE_ALPHABETICAL = CompareTypeAlphabetical

--Organizes spells by their type and then by amount
SORT_TYPE_AMOUNT = CompareTypeAmount

--Sorts alphabetically
SORT_ALPHABETICAL = CompareAlphabetical

--Sorts by how many of that item there is in the inventory, then by type and then alphabetically
SORT_AMOUNT = CompareAmount

--Sorts by how much mana a spell consumes
SORT_MANA = CompareMana

--Sorts by type, then by how much mana a spell consumes
SORT_TYPE_MANA = CompareTypeMana

--Sorts by the color of the item. NOTE: Spellbound compatibility is built in, if you want compatibility with other mods, you need to generate the colors with color_generator.py and append them to colors.lua
SORT_COLOR = CompareColors

--Sorts by type, then by color
SORT_TYPE_COLOR = CompareTypeColors

--Your very own sorting function
SORT_CUSTOM = CompareCustom

----SETTINGS----
settings = {
    sort_by = SORT_TYPE_ALPHABETICAL,
    mod_compatibility = true, -- Might take a bit longer to load
    anchor = ANCHORS.left
}